"use strict";
// Settings for perlnavigator,
// defaults for configurable editors stored in package.json
// defaults for non-configurable editors in server.ts
Object.defineProperty(exports, "__esModule", { value: true });
exports.PerlSymbolKind = exports.TagKind = exports.ParseType = exports.ElemSource = void 0;
var ElemSource;
(function (ElemSource) {
    ElemSource[ElemSource["symbolTable"] = 0] = "symbolTable";
    ElemSource[ElemSource["modHunter"] = 1] = "modHunter";
    ElemSource[ElemSource["parser"] = 2] = "parser";
    ElemSource[ElemSource["packageInference"] = 3] = "packageInference";
})(ElemSource = exports.ElemSource || (exports.ElemSource = {}));
var ParseType;
(function (ParseType) {
    ParseType[ParseType["outline"] = 0] = "outline";
    ParseType[ParseType["selfNavigation"] = 1] = "selfNavigation";
    ParseType[ParseType["refinement"] = 2] = "refinement";
})(ParseType = exports.ParseType || (exports.ParseType = {}));
// Ensure TagKind and PerlSymbolKind have no overlap
var TagKind;
(function (TagKind) {
    TagKind["Canonical2"] = "2";
    TagKind["UseStatement"] = "u";
})(TagKind = exports.TagKind || (exports.TagKind = {}));
var PerlSymbolKind;
(function (PerlSymbolKind) {
    PerlSymbolKind["Module"] = "m";
    PerlSymbolKind["Package"] = "p";
    PerlSymbolKind["Class"] = "a";
    PerlSymbolKind["Role"] = "b";
    PerlSymbolKind["ImportedSub"] = "t";
    PerlSymbolKind["Inherited"] = "i";
    PerlSymbolKind["Field"] = "f";
    PerlSymbolKind["PathedField"] = "d";
    PerlSymbolKind["LocalSub"] = "s";
    PerlSymbolKind["LocalMethod"] = "o";
    PerlSymbolKind["Method"] = "x";
    PerlSymbolKind["LocalVar"] = "v";
    PerlSymbolKind["Constant"] = "n";
    PerlSymbolKind["Label"] = "l";
    PerlSymbolKind["Phaser"] = "e";
    PerlSymbolKind["Canonical"] = "1";
    PerlSymbolKind["ImportedVar"] = "c";
    PerlSymbolKind["ImportedHash"] = "h";
    PerlSymbolKind["HttpRoute"] = "g";
    PerlSymbolKind["OutlineOnlySub"] = "j";
    PerlSymbolKind["AutoLoadVar"] = "3";
})(PerlSymbolKind = exports.PerlSymbolKind || (exports.PerlSymbolKind = {}));
//# sourceMappingURL=types.js.map